[Exherbo-dev] --as-needed in LDFLAGS by default?

Calvin Walton calvin.walton at kepstin.ca
Thu Feb 7 19:01:32 UTC 2019


On Wed, 2019-02-06 at 21:39 +0100, Heiko Becker wrote:
> Hi,
> 
> I darkly remember this came up in the distant past and I'm not
> entirely 
> sure about why it never happened so I'll try to give 
> https://gitlab.exherbo.org/exherbo/arbor/merge_requests/427 a bit
> more 
> visibility.

For what it's worth, I've manually configured my Exherbo boxes to use
this setting for several years via /etc/paludis/bashrc, and have had a
very small number of packages that I had to blacklist (I wouldn't be
surprised if most of them have already been fixed now, too).

It looks like we already have a filter-ldflags helper in flag-o-
matic.exlib to use in any packages where build system modifications to
fix as-needed support are unreasonably complex.


-- 
Calvin Walton <calvin.walton at kepstin.ca>




More information about the Exherbo-dev mailing list